package com.jz.dmp.modules.controller.bean;

import java.util.Date;

import com.jz.common.annotation.FieldAssist;
import com.jz.common.bean.BasePageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**任务历史版本参数请求封装
 * @author ybz
 *
 */
@ApiModel(value = "任务历史版本参数请求封装", description = "任务历史版本参数请求封装")
public class DmpDevelopTaskHistoryRequest extends BasePageBean {
	/**
	* 主键
	*/
	@ApiModelProperty(value = "主键")
	@FieldAssist(orderBy = "_history.id")
	private Integer id;

	/**
	* 所属任务(关联任务主键)
	*/
	@ApiModelProperty(value = "所属任务(关联任务主键)")
	@FieldAssist(orderBy = "_history.task_id")
	private Integer taskId;

	/**
	* tree ID
	*/
	@ApiModelProperty(value = "tree ID")
	@FieldAssist(orderBy = "_history.tree_id")
	private Integer treeId;

	/**
	* 数据源ID
	*/
	@ApiModelProperty(value = "数据源ID")
	@FieldAssist(orderBy = "_history.datasource_id")
	private Integer datasourceId;

	/**
	* 任务类型
	*/
	@ApiModelProperty(value = "任务类型")
	@FieldAssist(orderBy = "_history.task_type")
	private String taskType;

	/**
	* 类型
	*/
	@ApiModelProperty(value = "类型")
	@FieldAssist(orderBy = "_history.type")
	private String type;

	/**
	* 调度类型
	*/
	@ApiModelProperty(value = "调度类型")
	@FieldAssist(orderBy = "_history.schedule_type")
	private String scheduleType;

	/**
	* 是否已提交
	*/
	@ApiModelProperty(value = "是否已提交")
	@FieldAssist(orderBy = "_history.is_submit")
	private String isSubmit;

	/**
	* 描述
	*/
	@ApiModelProperty(value = "描述")
	@FieldAssist(orderBy = "_history.task_desc")
	private String taskDesc;

	/**
	* 脚本
	*/
	@ApiModelProperty(value = "脚本")
	@FieldAssist(orderBy = "_history.script")
	private String script;

	/**
	* flow_header
	*/
	@ApiModelProperty(value = "flow_header")
	@FieldAssist(orderBy = "_history.flow_header")
	private String flowHeader;

	/**
	* flow_json
	*/
	@ApiModelProperty(value = "flow_json")
	@FieldAssist(orderBy = "_history.flow_json")
	private String flowJson;

	/**
	* 版本
	*/
	@ApiModelProperty(value = "版本")
	@FieldAssist(orderBy = "_history.version")
	private String version;

	/**
	* is_gziped
	*/
	@ApiModelProperty(value = "is_gziped")
	@FieldAssist(orderBy = "_history.is_gziped")
	private String isGziped;

	/**
	* 任务数据状态
	*/
	@ApiModelProperty(value = "任务数据状态")
	@FieldAssist(orderBy = "_history.task_data_status")
	private String taskDataStatus;

	/**
	* 任务创建用户ID
	*/
	@ApiModelProperty(value = "任务创建用户ID")
	@FieldAssist(orderBy = "_history.task_create_user_id")
	private String taskCreateUserId;

	/**
	* 任务创建时间
	*/
	@ApiModelProperty(value = "任务创建时间")
	@FieldAssist(orderBy = "_history.task_create_time")
	private Date taskCreateTime;

	/**
	* 任务创建时间起
	*/
	@ApiModelProperty(value = "任务创建时间起")
	private Date taskCreateTimeStart;

	/**
	* 任务创建时间止
	*/
	@ApiModelProperty(value = "任务创建时间止")
	private Date taskCreateTimeEnd;

	/**
	* 任务修改用户ID
	*/
	@ApiModelProperty(value = "任务修改用户ID")
	@FieldAssist(orderBy = "_history.task_update_user_id")
	private String taskUpdateUserId;

	/**
	* 任务修改时间
	*/
	@ApiModelProperty(value = "任务修改时间")
	@FieldAssist(orderBy = "_history.task_update_time")
	private Date taskUpdateTime;

	/**
	* 任务修改时间起
	*/
	@ApiModelProperty(value = "任务修改时间起")
	private Date taskUpdateTimeStart;

	/**
	* 任务修改时间止
	*/
	@ApiModelProperty(value = "任务修改时间止")
	private Date taskUpdateTimeEnd;

	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
	@FieldAssist(orderBy = "_history.remark")
	private String remark;

	/**
	* 数据状态(0：删除，1，未删除)
	*/
	@ApiModelProperty(value = "数据状态(0：删除，1，未删除)")
	@FieldAssist(orderBy = "_history.data_status")
	private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
	@FieldAssist(orderBy = "_history.create_user_id")
	private Integer createUserId;

	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	@FieldAssist(orderBy = "_history.create_time")
	private Date createTime;

	/**
	* 创建时间起
	*/
	@ApiModelProperty(value = "创建时间起")
	private Date createTimeStart;

	/**
	* 创建时间止
	*/
	@ApiModelProperty(value = "创建时间止")
	private Date createTimeEnd;

	/**
	* 修改用户ID
	*/
	@ApiModelProperty(value = "修改用户ID")
	@FieldAssist(orderBy = "_history.update_user_id")
	private Integer updateUserId;

	/**
	* 修改时间
	*/
	@ApiModelProperty(value = "修改时间")
	@FieldAssist(orderBy = "_history.update_time")
	private Date updateTime;

	/**
	* 修改时间起
	*/
	@ApiModelProperty(value = "修改时间起")
	private Date updateTimeStart;

	/**
	* 修改时间止
	*/
	@ApiModelProperty(value = "修改时间止")
	private Date updateTimeEnd;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getTaskId() {
		return taskId;
	}

	public void setTaskId(Integer taskId) {
		this.taskId = taskId;
	}

	public Integer getTreeId() {
		return treeId;
	}

	public void setTreeId(Integer treeId) {
		this.treeId = treeId;
	}

	public Integer getDatasourceId() {
		return datasourceId;
	}

	public void setDatasourceId(Integer datasourceId) {
		this.datasourceId = datasourceId;
	}

	public String getTaskType() {
		return taskType;
	}

	public void setTaskType(String taskType) {
		this.taskType = taskType;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getScheduleType() {
		return scheduleType;
	}

	public void setScheduleType(String scheduleType) {
		this.scheduleType = scheduleType;
	}

	public String getIsSubmit() {
		return isSubmit;
	}

	public void setIsSubmit(String isSubmit) {
		this.isSubmit = isSubmit;
	}

	public String getTaskDesc() {
		return taskDesc;
	}

	public void setTaskDesc(String taskDesc) {
		this.taskDesc = taskDesc;
	}

	public String getScript() {
		return script;
	}

	public void setScript(String script) {
		this.script = script;
	}

	public String getFlowHeader() {
		return flowHeader;
	}

	public void setFlowHeader(String flowHeader) {
		this.flowHeader = flowHeader;
	}

	public String getFlowJson() {
		return flowJson;
	}

	public void setFlowJson(String flowJson) {
		this.flowJson = flowJson;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getIsGziped() {
		return isGziped;
	}

	public void setIsGziped(String isGziped) {
		this.isGziped = isGziped;
	}

	public String getTaskDataStatus() {
		return taskDataStatus;
	}

	public void setTaskDataStatus(String taskDataStatus) {
		this.taskDataStatus = taskDataStatus;
	}

	public String getTaskCreateUserId() {
		return taskCreateUserId;
	}

	public void setTaskCreateUserId(String taskCreateUserId) {
		this.taskCreateUserId = taskCreateUserId;
	}

	public Date getTaskCreateTime() {
		return taskCreateTime;
	}

	public void setTaskCreateTime(Date taskCreateTime) {
		this.taskCreateTime = taskCreateTime;
	}

	public Date getTaskCreateTimeStart() {
		return taskCreateTimeStart;
	}

	public void setTaskCreateTimeStart(Date taskCreateTimeStart) {
		this.taskCreateTimeStart = taskCreateTimeStart;
	}

	public Date getTaskCreateTimeEnd() {
		return taskCreateTimeEnd;
	}

	public void setTaskCreateTimeEnd(Date taskCreateTimeEnd) {
		this.taskCreateTimeEnd = taskCreateTimeEnd;
	}

	public String getTaskUpdateUserId() {
		return taskUpdateUserId;
	}

	public void setTaskUpdateUserId(String taskUpdateUserId) {
		this.taskUpdateUserId = taskUpdateUserId;
	}

	public Date getTaskUpdateTime() {
		return taskUpdateTime;
	}

	public void setTaskUpdateTime(Date taskUpdateTime) {
		this.taskUpdateTime = taskUpdateTime;
	}

	public Date getTaskUpdateTimeStart() {
		return taskUpdateTimeStart;
	}

	public void setTaskUpdateTimeStart(Date taskUpdateTimeStart) {
		this.taskUpdateTimeStart = taskUpdateTimeStart;
	}

	public Date getTaskUpdateTimeEnd() {
		return taskUpdateTimeEnd;
	}

	public void setTaskUpdateTimeEnd(Date taskUpdateTimeEnd) {
		this.taskUpdateTimeEnd = taskUpdateTimeEnd;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public Integer getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Integer createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getCreateTimeStart() {
		return createTimeStart;
	}

	public void setCreateTimeStart(Date createTimeStart) {
		this.createTimeStart = createTimeStart;
	}

	public Date getCreateTimeEnd() {
		return createTimeEnd;
	}

	public void setCreateTimeEnd(Date createTimeEnd) {
		this.createTimeEnd = createTimeEnd;
	}

	public Integer getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(Integer updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Date getUpdateTimeStart() {
		return updateTimeStart;
	}

	public void setUpdateTimeStart(Date updateTimeStart) {
		this.updateTimeStart = updateTimeStart;
	}

	public Date getUpdateTimeEnd() {
		return updateTimeEnd;
	}

	public void setUpdateTimeEnd(Date updateTimeEnd) {
		this.updateTimeEnd = updateTimeEnd;
	}
}
