package com.jz.dmp.modules.controller.dataOperation.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @ClassName: DataDevExamplesListReq
 * @Description: 数据运维-数据开发实例列表请求参数
 * @Author：Bellamy
 * @Date 2021/01/14
 * @Version 1.0
 */
@ApiModel(value = "数据运维-数据开发实例列表请求参数", description = "数据开发实例列表请求参数")
public class DataDevExamplesListReq extends BasePageBean {

    /*
     * 项目id
     * */
    @ApiModelProperty(value = "项目id")
    @NotNull(message = "项目id不能为空")
    @NotEmpty(message = "项目ID不能空")
    private String projectId;

    /*
     * 任务名称
     * */
    @ApiModelProperty(value = "任务名称")
    private String treeName;

    /*
     * 任务ID
     * */
    @ApiModelProperty(value = "任务ID")
    private String taskId;

    /*
     * 业务日期
     * */
    @ApiModelProperty(value = "业务日期(时间范围)")
    private String businessTime;

    /*
     * 业务日期类型
     * */
    @ApiModelProperty(value = "业务日期类型:01 昨天，02 前天，03 全部")
    private String creTimeType;

    /*
     * 业务日期
     * */
    private String startTime;

    /*
     * 业务日期
     * */
    private String endTime;


    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public String getCreTimeType() {
        return creTimeType;
    }

    public void setCreTimeType(String creTimeType) {
        this.creTimeType = creTimeType;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getBusinessTime() {
        return businessTime;
    }

    public void setBusinessTime(String businessTime) {
        this.businessTime = businessTime;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
