package com.jz.dmp.modules.service;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.dmp.modules.controller.bean.DmpTableFieldSchemaDto;
import com.jz.dmp.modules.controller.bean.DmpTableFieldSchemaRequest;
import com.jz.dmp.modules.model.DmpTableFieldSchema;

/**
 * 项目表字段类型(DmpTableFieldSchema)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-23 16:34:55
 */
public interface DmpTableFieldSchemaService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    DmpTableFieldSchema queryById(Integer id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<DmpTableFieldSchema> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param dmpTableFieldSchema 实例对象
     * @return 实例对象
     */
    DmpTableFieldSchema insert(DmpTableFieldSchema dmpTableFieldSchema);

    /**
     * 修改数据
     *
     * @param dmpTableFieldSchema 实例对象
     * @return 实例对象
     */
    DmpTableFieldSchema update(DmpTableFieldSchema dmpTableFieldSchema);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);
    
    /**条件查询所有项目表字段类型
	 * @param dmpTableFieldSchemaRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpTableFieldSchemaDto> findList(DmpTableFieldSchemaRequest dmpTableFieldSchemaRequest, HttpServletRequest httpRequest)throws Exception;

}